#ifndef FUNCTIONS_WRITEUTF8
#define FUNCTIONS_WRITEUTF8

/*****************************************************************************
** Function: WriteUTF8()
** Short:    Writes a pure unicode value to a buffer in UTF8 format.  Returns
**           a count of the total number of characters written.
*/

static LONG WriteUTF8(STRING str, ULONG unicode)
{
   if (unicode < 128) {
      *str = (UBYTE)unicode;
      return(1);
   }
   else if (unicode < 0x800) {
      str[1]  = (unicode & 0x3f) | 0x80;
      unicode = unicode>>6;
      str[0]  = unicode | 0xc0;
      return(2);
   }
   else if (unicode < 0x10000) {
      str[2]  = (unicode & 0x3f)|0x80;
      unicode = unicode>>6;
      str[1]  = (unicode & 0x3f)|0x80;
      unicode = unicode>>6;
      str[0]  = unicode | 0xe0;
      return(3);
   }
   else if (unicode < 0x200000) {
      str[3]  = (unicode & 0x3f)|0x80;
      unicode = unicode>>6;
      str[2]  = (unicode & 0x3f)|0x80;
      unicode = unicode>>6;
      str[1]  = (unicode & 0x3f)|0x80;
      unicode = unicode>>6;
      str[0]  = unicode | 0xf0;
      return(4);
   }
   else if (unicode < 0x4000000) {
      str[4]  = (unicode & 0x3f)|0x80;
      unicode = unicode>>6;
      str[3]  = (unicode & 0x3f)|0x80;
      unicode = unicode>>6;
      str[2]  = (unicode & 0x3f)|0x80;
      unicode = unicode>>6;
      str[1]  = (unicode & 0x3f)|0x80;
      unicode = unicode>>6;
      str[0]  = unicode | 0xf8;
      return(5);
   }
   else {
      str[5]  = (unicode & 0x3f)|0x80;
      unicode = unicode>>6;
      str[4]  = (unicode & 0x3f)|0x80;
      unicode = unicode>>6;
      str[3]  = (unicode & 0x3f)|0x80;
      unicode = unicode>>6;
      str[2]  = (unicode & 0x3f)|0x80;
      unicode = unicode>>6;
      str[1]  = (unicode & 0x3f)|0x80;
      unicode = unicode>>6;
      str[0]  = unicode | 0xfc;
      return(6);
   }
}

#endif /* FUNCTIONS_WRITEUTF8 */
